Clipform
Forms

Get a form

Returns a form and its nodes.

GET
/forms/{formId}

Authorization

bearerAuth
AuthorizationBearer <token>

API key (cf_*) passed as Bearer token

In: header

Path Parameters

formId*string

Response Body

application/json

curl -X GET "https://example.com/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "form_id": "46af4ef5-2c18-4098-9bc5-c048fb90b843",  "title": "string",  "is_live": true,  "has_unpublished_changes": true,  "published_version_id": "9e5718f5-1907-42cb-bf81-9b6854b603b7",  "nodes": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "choice",      "prompt": "string",      "label": "string",      "required": true,      "config": {},      "options": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "content": "string",          "order": 0,          "score": 0,          "scores": {            "property1": 0,            "property2": 0          }        }      ],      "media_id": "59458438-e712-4754-944d-fc838e1a631d"    }  ]}